=== debian/changelog ===
spglib (1.10.3-1) unstable; urgency=low

  * Initial release (Closes: #882399).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 23 Mar 2018 16:54:57 +0200
