=== debian/tests/control ===
Tests: collinear-spin
Depends: @, python3-nose, python3-numpy
