## spglib 1.10.4

=== debian/changelog ===
spglib (1.10.4-3build1) disco; urgency=medium

  * No-change rebuild for Python 3.7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:40:19 +0100

spglib (1.10.4-3) unstable; urgency=medium

  * Fixing autopkgtest.
  * debian/patches/fix-tests.patch: fixing a typo in test output.
  * Adding patch descriptions.
  * debian/control: adding XB-Python-Version field.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 20 Aug 2018 01:45:00 -0400

spglib (1.10.4-2) unstable; urgency=medium

  * Adding missing build and test dependencies.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 17 Aug 2018 02:53:05 -0400

spglib (1.10.4-1) unstable; urgency=medium

  * New upstream version 1.10.4
  * Removing upstream-integrated patches.
  * Bumping to version 4.2.0 of Debian policy (no changes).
  * Renaming autopkgtest collinear-spin -> python3-tests, executing all Python
    tests.
  * Moving multiarch-dependent *.install files to d/templates/ to do proper
    cleaning.
  * Turning on tests for Python module.
  * Adding a patch with the missing ChangeLog entry.
  * Adding a patch to remove accidental test dependency on the absolute path.
  * Patching also the files for autopkgtest.
  * Removing the rest of temporary files.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 14 Aug 2018 05:41:47 -0400

spglib (1.10.3-2) unstable; urgency=medium

  * libsymspg-dev depends on libsymspg1 with binary version.
  * Simplifying debian/libsymspg1.install by the use of wildcard ("*").
  * Simplifying debian/libsymspg-dev.install.
  * Installing shared and static libraries in the multiarch directory.
  * Installing missing shared library link in libsymspg-dev.
  * Switching to empty debian/libsymspg1.symbols file-based symbols generation.
  * Bumping debian/compat to 11.
  * Directing the STDERR to the STDOUT in debian/tests/collinear-spin.
  * debian/copyright: some files under ruby/ are licensed as GPL-2+.
  * debian/copyright: splitting of GPL-2+ paragraph.
  * debian/copyright: listing all copyright years.
  * debian/todo: adding a task to package ruby binding.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 05 Jun 2018 06:13:44 -0400
