=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                dh-python,
                cmake,
                python3-dev,
+               python3-nose,
                python3-numpy,
                python3-setuptools (>= 18.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
@@ -61,6 +62,7 @@
          ${python3:Depends},
          ${shlibs:Depends},
          python3-numpy
+XB-Python-Version: ${python3:Versions}
 Provides: ${python3:Provides}
 Description: C library for crystal symmetry determination - Python3 bindings
  Spglib is a C library for crystal symmetry determination. Symmetry
