=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,17 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	sed -i -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
-		debian/libsymspg1.install \
-		debian/libsymspg-dev.install
+	for TPL in debian/templates/*; \
+	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
+		$${TPL} > debian/$$(basename $${TPL}); \
+	done
 
 override_dh_auto_install:
 	dh_auto_install
 	(cd python; python3 setup.py install --root ../debian/python3-spglib)
 
 override_dh_auto_test:
+	(cd python; python3 setup.py test)
 
 override_dh_makeshlibs:
 	dh_makeshlibs
@@ -29,5 +31,10 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_auto_clean:
+	rm -rf python/build python/spglib.egg-info
 	dh_auto_clean
-	rm -rf python/build python/spglib.egg-info
+	for TPL in debian/templates/*; \
+	do rm -f debian/$$(basename $${TPL}); \
+	done
+	find . -name __pycache__ | xargs --no-run-if-empty rm -rf
+	rm -f python/spglib/_spglib.*.so
