=== debian/tests/control ===
Tests: python3-tests
Depends: @, python3-nose
