## spglib 1.11.0

=== debian/changelog ===
spglib (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Dropping upstream-integrated patch fix-tests.patch.
  * Updating ChangeLog.patch patch (topmost entry was missing).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 08 Nov 2018 10:32:10 -0500
