## spglib 1.11.1

=== debian/changelog ===
spglib (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Dropping upstream-integrated patch ChangeLog.patch.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 12 Nov 2018 03:14:02 -0500
