=== debian/changelog ===
spglib (1.11.2-3) unstable; urgency=medium

  * Adding a patch to disable nondeterministic test for Wyckoff positions.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 10 Dec 2018 03:20:33 -0500

spglib (1.11.2-2) unstable; urgency=medium

  * Adding build- and test-depend on python3-yaml.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 07 Dec 2018 07:38:30 -0500

spglib (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 07 Dec 2018 04:35:11 -0500
