=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                python3-dev,
                python3-nose,
                python3-numpy,
-               python3-setuptools (>= 18.0)
+               python3-setuptools (>= 18.0),
+               python3-yaml
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
