## spglib 1.12.0

=== debian/changelog ===
spglib (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Marking libs and libdevel packages as Multi-Arch: same.
  * Reverting to dh_auto_* in test and clean targets.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 29 Jan 2019 03:47:08 -0500

spglib (1.11.2+git20190121.920d01c-1) experimental; urgency=medium

  * New upstream version 1.11.2+git20190121.920d01c

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 23 Jan 2019 04:30:12 -0500

spglib (1.11.2+git20190112.7078a8b-1) experimental; urgency=medium

  * Switching to pybuild for building of Python3 bindings.
  * New upstream version 1.11.2+git20190112.7078a8b
  * Dropping upstream-integrated patch
    disable_nondeterministic_Wyckoff_test.patch.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 15 Jan 2019 02:54:24 -0500
