## spglib 1.12.1

=== debian/changelog ===
spglib (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 30 Jan 2019 03:33:41 -0500
