## spglib 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,5 +67,6 @@
 add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
 set(CMAKE_CTEST_COMMAND ctest -V)
 add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
+target_link_libraries(spglibtest m)
 add_test(spglibtest spglibtest)
 add_dependencies(check spglibtest)
