=== debian/changelog ===
spglib (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2

 -- Andrius Merkys <andrius.merkys@gmail.com>  Sun, 10 Feb 2019 03:33:01 -0500
