=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                cmake,
+               python3-all-dev,
                python3-dev,
                python3-nose,
                python3-numpy,
@@ -18,6 +19,7 @@
 
 Package: libsymspg1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -37,6 +39,7 @@
 
 Package: libsymspg-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libsymspg1 (= ${binary:Version})
