=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure
	for TPL in debian/templates/*; \
	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		$${TPL} > debian/$$(basename $${TPL}); \
	done

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -O--buildsystem=pybuild -- --dir python

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -O--buildsystem=pybuild -- --dir python

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test -O--buildsystem=pybuild -- --dir python
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -O--buildsystem=pybuild -- --dir python
	rm -rf python/spglib.egg-info
	for TPL in debian/templates/*; \
	do rm -f debian/$$(basename $${TPL}); \
	done
