## spglib 1.13.0

=== debian/changelog ===
spglib (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Updating my e-mail.

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Jul 2019 06:34:00 -0400
