=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: spglib
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
+Uploaders: Andrius Merkys <merkys@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11),
