## spglib 1.14.1

=== python/requirements.txt ===
numpy==1.11.1
