=== debian/changelog ===
spglib (1.14.1-5build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:48 +0000

spglib (1.14.1-5build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:41:29 +0100

spglib (1.14.1-5) unstable; urgency=medium

  * Removing debian/todo, as Ruby bindings have been packaged.
  * Wrapping and sorting.
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Jan 2020 04:13:49 -0500

spglib (1.14.1-4) unstable; urgency=medium

  * Building Ruby bindings.
  * Cleaning up debian/rules a bit.

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Jan 2020 04:33:00 -0500

spglib (1.14.1-3) unstable; urgency=medium

  * Adding a patch to link libsymspg.so to libm.so (Closes: #942627)

 -- Andrius Merkys <merkys@debian.org>  Sun, 20 Oct 2019 11:29:59 -0400

spglib (1.14.1-2) unstable; urgency=medium

  * Versioning tests dependency on python3-yaml.
  * Skipping tests on mips.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Aug 2019 01:52:18 -0400

spglib (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Dropping python3-yaml-v3.patch as pyyaml 5.1.2 has been packaged.

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Aug 2019 01:48:33 -0400
