=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,ruby

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=ruby
	for TPL in debian/templates/*; \
	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		$${TPL} > debian/$$(basename $${TPL}); \
	done

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild -- --dir python
	dh_auto_build --buildsystem=ruby

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild -- --dir python
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem=ruby

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Tests on mips take too long, and are killed due to inactivity
ifneq ($(DEB_BUILD_ARCH), mips)
	dh_auto_test --buildsystem=pybuild -- --dir python
endif
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild -- --dir python
	dh_auto_clean --buildsystem=ruby
	rm -rf python/spglib.egg-info
	for TPL in debian/templates/*; \
	do rm -f debian/$$(basename $${TPL}); \
	done
