=== debian/changelog ===
spglib (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
  * Dropping upstream-integrated patch.
  * Removing templates as the build system now honors CMAKE_INSTALL_LIBDIR.
  * Bumping debhelper-compat (no changes).
  * Adding 'Rules-Requires-Root: no'.
  * Making dh_ruby find the shared library.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Apr 2020 00:53:27 -0400
