=== debian/changelog ===
spglib (1.15.1-1) unstable; urgency=medium

  * New upstream version 1.15.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Apr 2020 09:13:08 -0400
