## spglib 1.16.0

=== debian/changelog ===
spglib (1.16.0-1build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:25:20 +0100

spglib (1.16.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:03:15 +0100

spglib (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Pointing debian/watch to github.com/spglib/spglib.
  * Updating debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 06:08:18 -0400
