=== debian/changelog ===
spglib (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Feb 2021 06:50:40 -0500
