=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  gem2deb,
  python3-all-dev,
@@ -20,6 +20,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: libsymspg-dev
 Architecture: any
