=== debian/changelog ===
spglib (1.16.2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:53 +0800

spglib (1.16.2-2) unstable; urgency=medium

  * Fixing debian/watch (releases -> tags).
  * Adding 'Section: ruby' for ruby-getspg binary package.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Oct 2021 04:37:06 -0400

spglib (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Aug 2021 01:16:05 -0400
