=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gem2deb,
  python3-all-dev,
@@ -95,6 +95,7 @@
 
 Package: ruby-getspg
 Architecture: any
+Section: ruby
 X-DhRuby-Root: ruby
 XB-Ruby-Versions: ${ruby:Versions}
 Depends:
