## spglib 1.16.5

=== debian/changelog ===
spglib (1.16.5-1) unstable; urgency=medium

  * New upstream version 1.16.5
  * Install pkgconfig file.
  * Remove manual handling of DEB_BUILD_OPTIONS=nocheck.
  * Package Fortran interface.
  * Drop superseded override_dh_autoreconf.
  * Add publication reference.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 10 May 2022 02:03:06 -0400
