=== debian/control ===
--- 
+++ 
@@ -9,18 +9,65 @@
  debhelper-compat (= 13),
  dh-python,
  gem2deb,
+ gfortran,
  python3-all-dev,
  python3-dev,
  python3-nose,
  python3-numpy,
  python3-setuptools (>= 18.0),
  python3-yaml (>= 5),
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
+
+Package: libspglib-f08-1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: C library for crystal symmetry determination (Fortran interface)
+ Spglib is a C library for crystal symmetry determination. Symmetry
+ operations, space groups and other data can be obtained using this
+ symmetry finder.
+ .
+ Features include:
+ .
+  * Identify space-group type
+  * Find symmetry operations
+  * Find a primitive cell
+  * Search irreducible k-points
+  * Refine crystal structure
+  * Wyckoff position assignment
+ .
+ This package contains Fortran interface.
+
+Package: libspglib-f08-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libspglib-f08-1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: C library for crystal symmetry determination (Fortran development files)
+ Spglib is a C library for crystal symmetry determination. Symmetry
+ operations, space groups and other data can be obtained using this
+ symmetry finder.
+ .
+ Features include:
+ .
+  * Identify space-group type
+  * Find symmetry operations
+  * Find a primitive cell
+  * Search irreducible k-points
+  * Refine crystal structure
+  * Wyckoff position assignment
+ .
+ This package contains development files for Fortran interface.
 
 Package: libsymspg-dev
 Architecture: any
