=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,ruby

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_Fortran=ON
	dh_auto_configure --buildsystem=ruby

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild -- --dir python
	dh_auto_build --buildsystem=ruby

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild -- --dir python
	ln -s $(DEB_HOST_MULTIARCH)/libsymspg.so debian/tmp/usr/lib
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem=ruby
	rm debian/tmp/usr/lib/libsymspg.so debian/tmp/usr/bin/spglib_example_fortran.X

override_dh_auto_test:
# Tests on mips take too long, and are killed due to inactivity
ifneq ($(DEB_BUILD_ARCH), mips)
	dh_auto_test --buildsystem=pybuild -- --dir python
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild -- --dir python
	dh_auto_clean --buildsystem=ruby
	rm -rf python/spglib.egg-info
