## spglib 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,35 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(spglib C)
+
+option(WITH_Fortran "enable f08 interface" OFF)
+
 set(CMAKE_MACOSX_RPATH 1)
-set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
-set(CMAKE_C_FLAGS_DEBUG "-g -DSPGDEBUG -DSPGWARNING")
 if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
+if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+  add_definitions(-DSPGDEBUG -DSPGWARNING)
+endif()
+
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
+
+if (USE_SANITIZER STREQUAL "Address")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
+elseif (USE_SANITIZER STREQUAL "Thread")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=thread")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread")
+elseif (USE_SANITIZER STREQUAL "Undefined")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
+elseif (USE_SANITIZER STREQUAL "Leak")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=leak")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
+elseif (USE_SANITIZER STREQUAL "Memory")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=memory")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory")
+endif()
 
 include(GNUInstallDirs)
 
@@ -17,10 +39,8 @@
 option(USE_OMP "Build with OpenMP support" ON)
 
 if (USE_OMP)
-  find_package(OpenMP)
-  if (OPENMP_FOUND)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
-  endif()
+  find_package(OpenMP REQUIRED)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
 endif()
 
 # Version numbers
@@ -44,7 +64,9 @@
             ${PROJECT_SOURCE_DIR}/src/hall_symbol.c
             ${PROJECT_SOURCE_DIR}/src/kgrid.c
             ${PROJECT_SOURCE_DIR}/src/kpoint.c
+            ${PROJECT_SOURCE_DIR}/src/magnetic_spacegroup.c
             ${PROJECT_SOURCE_DIR}/src/mathfunc.c
+            ${PROJECT_SOURCE_DIR}/src/msg_database.c
             ${PROJECT_SOURCE_DIR}/src/niggli.c
             ${PROJECT_SOURCE_DIR}/src/overlap.c
             ${PROJECT_SOURCE_DIR}/src/pointgroup.c
@@ -62,7 +84,7 @@
 add_library(symspg SHARED ${SOURCES})
 
 if(NOT MSVC)
-  target_link_libraries(symspg m)
+  target_link_libraries(symspg PUBLIC m)
 endif()
 set_property(TARGET symspg PROPERTY VERSION ${serial})
 set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
@@ -80,25 +102,13 @@
               ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
-add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
-
-if(NOT MSVC)
-  target_link_libraries(spglibtest m)
+if (WITH_Fortran)
+  enable_language(Fortran)
+  add_subdirectory(fortran)
 endif()
 
-enable_testing()
-add_test(spglibtest spglibtest)
-
-# make check
-
-# cf. https://stackoverflow.com/questions/5709914/using-cmake-how-do-i-get-verbose-output-from-ctest
-add_custom_target(check 
-        ${CMAKE_COMMAND} -E echo CWD=${CMAKE_BINARY_DIR}
-        COMMAND ${CMAKE_COMMAND} -E echo CMD=${CMAKE_CTEST_COMMAND} -C $<CONFIG>
-        COMMAND ${CMAKE_COMMAND} -E echo ----------------------------------
-        COMMAND ${CMAKE_COMMAND} -E env CTEST_OUTPUT_ON_FAILURE=1
-            ${CMAKE_CTEST_COMMAND} -C $<CONFIG> --verbose
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-    DEPENDS spglibtest
-    )
-
+configure_file(spglib.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc)
+install(
+  FILES  ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc
+  DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig
+  COMPONENT pkgconfig)
