=== debian/changelog ===
spglib (2.0.0-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 18:09:23 +0000

spglib (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 19 Aug 2022 01:39:11 -0400
