## spglib 2.0.1

=== debian/changelog ===
spglib (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 01 Sep 2022 02:45:01 -0400
