=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  gfortran,
  python3-all-dev,
  python3-dev,
- python3-nose,
  python3-numpy,
+ python3-pytest <!nocheck>,
  python3-setuptools (>= 18.0),
  python3-yaml (>= 5),
 Standards-Version: 4.2.1
