=== debian/tests/control ===
Test-Command: cd python && pytest-3
Depends:
 python3-pytest,
 python3-yaml (>= 5),
 @,
