## spglib 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,17 @@
             ${PROJECT_SOURCE_DIR}/src/spin.c
             ${PROJECT_SOURCE_DIR}/src/symmetry.c)
 
+# avoid One Definition Rule problems
+# only available since 3.16.0
+# VERSION_GREATER_EQUAL only available since 3.7.0, so let's do it manually
+if (NOT CMAKE_MAJOR_VERSION LESS "3")
+  if (CMAKE_MAJOR_VERSION GREATER "3" OR NOT CMAKE_MINOR_VERSION LESS "16")
+    set_source_files_properties(
+        ${SOURCES} PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON
+    )
+  endif()
+endif()
+
 # Shared library
 add_library(symspg SHARED ${SOURCES})
