=== debian/changelog ===
spglib (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Update homepage.

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Nov 2022 05:04:42 -0500
