=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
-Homepage: https://atztogo.github.io/spglib/
+Homepage: https://spglib.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
