=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 override_dh_auto_test:
 # Tests on mips take too long, and are killed due to inactivity
 ifneq ($(DEB_BUILD_ARCH), mips)
-	dh_auto_test --buildsystem=pybuild -- --dir python
+	dh_auto_test --buildsystem=pybuild -- --dir python --test-pytest
 endif
 
 override_dh_makeshlibs:
